### Methods

## AcceptPageBreak()

    AcceptPageBreak()

## AddFont()

    AddFont($family, $style, $file)

### Parameters

#### $family

#### $style

#### $file

## AddLink()

    AddLink()

## AddPage()

    AddPage($orientation, $size)

### Parameters

#### $orientation

#### $size

## AliasNbPages()

    AliasNbPages($alias)

### Parameters

#### $alias

## Cell()

    Cell($w, $h, $txt, $border, $ln, $align, $fill, $link)

### Parameters

#### $w

#### $h

#### $txt

#### $border

#### $ln

#### $align

#### $fill

#### $link

## Close()

    Close()

## Error()

    Error($msg)

### Parameters

#### $msg

## FPDF()

    FPDF($orientation, $unit, $size)

### Parameters

#### $orientation

#### $unit

#### $size

## GetStringWidth()

    GetStringWidth($s)

### Parameters

#### $s

## GetX()

    GetX()

## GetY()

    GetY()

## Header()

    Header()

## Image()

    Image($file, $x, $y, $w, $h, $type, $link)

### Parameters

#### $file

#### $x

#### $y

#### $w

#### $h

#### $type

#### $link

## Line()

    Line($x1, $y1, $x2, $y2)

### Parameters

#### $x1

#### $y1

#### $x2

#### $y2

## Link()

    Link($x, $y, $w, $h, $link)

### Parameters

#### $x

#### $y

#### $w

#### $h

#### $link

## Ln()

    Ln($h)

### Parameters

#### $h

## MultiCell()

    MultiCell($w, $h, $txt, $border, $align, $fill)

### Parameters

#### $w

#### $h

#### $txt

#### $border

#### $align

#### $fill

## Open()

    Open()

## Output()

    Output($name, $dest)

### Parameters

#### $name

#### $dest

## PageNo()

    PageNo()

## Rect()

    Rect($x, $y, $w, $h, $style)

### Parameters

#### $x

#### $y

#### $w

#### $h

#### $style

## SetAuthor()

    SetAuthor($author, $isUTF8)

### Parameters

#### $author

#### $isUTF8

## SetAutoPageBreak()

    SetAutoPageBreak($auto, $margin)

### Parameters

#### $auto

#### $margin

## SetCompression()

    SetCompression($compress)

### Parameters

#### $compress

## SetCreator()

    SetCreator($creator, $isUTF8)

### Parameters

#### $creator

#### $isUTF8

## SetDisplayMode()

    SetDisplayMode($zoom, $layout)

### Parameters

#### $zoom

#### $layout

## SetDrawColor()

    SetDrawColor($r, $g, $b)

### Parameters

#### $r

#### $g

#### $b

## SetFillColor()

    SetFillColor($r, $g, $b)

### Parameters

#### $r

#### $g

#### $b

## SetFont()

    SetFont($family, $style, $size)

### Parameters

#### $family

#### $style

#### $size

## SetFontSize()

    SetFontSize($size)

### Parameters

#### $size

## SetKeywords()

    SetKeywords($keywords, $isUTF8)

### Parameters

#### $keywords

#### $isUTF8

## SetLeftMargin()

    SetLeftMargin($margin)

### Parameters

#### $margin

## SetLineWidth()

    SetLineWidth($width)

### Parameters

#### $width

## SetLink()

    SetLink($link, $y, $page)

### Parameters

#### $link

#### $y

#### $page

## SetMargins()

    SetMargins($left, $top, $right)

### Parameters

#### $left

#### $top

#### $right

## SetRightMargin()

    SetRightMargin($margin)

### Parameters

#### $margin

## SetSubject()

    SetSubject($subject, $isUTF8)

### Parameters

#### $subject

#### $isUTF8

## SetTextColor()

    SetTextColor($r, $g, $b)

### Parameters

#### $r

#### $g

#### $b

## SetTitle()

    SetTitle($title, $isUTF8)

### Parameters

#### $title

#### $isUTF8

## SetTopMargin()

    SetTopMargin($margin)

### Parameters

#### $margin

## SetX()

    SetX($x)

### Parameters

#### $x

## SetXY()

    SetXY($x, $y)

### Parameters

#### $x

#### $y

## SetY()

    SetY($y)

### Parameters

#### $y

## Text()

    Text($x, $y, $txt)

### Parameters

#### $x

#### $y

#### $txt

## Write()

    Write($h, $txt, $link)

### Parameters

#### $h

#### $txt

#### $link

## _UTF8toUTF16()

    _UTF8toUTF16($s)

### Parameters

#### $s

## _beginpage()

    _beginpage($orientation, $size)

### Parameters

#### $orientation

#### $size

## _checkoutput()

    _checkoutput()

## _dochecks()

    _dochecks()

## _dounderline()

    _dounderline($x, $y, $txt)

### Parameters

#### $x

#### $y

#### $txt

## _enddoc()

    _enddoc()

## _endpage()

    _endpage()

## _escape()

    _escape($s)

### Parameters

#### $s

## _getpagesize()

    _getpagesize($size)

### Parameters

#### $size

## _loadfont()

    _loadfont($font)

### Parameters

#### $font

## _newobj()

    _newobj()

## _out()

    _out($s)

### Parameters

#### $s

## _parsegif()

    _parsegif($file)

### Parameters

#### $file

## _parsejpg()

    _parsejpg($file)

### Parameters

#### $file

## _parsepng()

    _parsepng($file)

### Parameters

#### $file

## _parsepngstream()

    _parsepngstream($f, $file)

### Parameters

#### $f

#### $file

## _putcatalog()

    _putcatalog()

## _putfonts()

    _putfonts()

## _putheader()

    _putheader()

## _putimage()

    _putimage($info)

### Parameters

#### $info

## _putimages()

    _putimages()

## _putinfo()

    _putinfo()

## _putpages()

    _putpages()

## _putresourcedict()

    _putresourcedict()

## _putresources()

    _putresources()

## _putstream()

    _putstream($s)

### Parameters

#### $s

## _puttrailer()

    _puttrailer()

## _putxobjectdict()

    _putxobjectdict()

## _readint()

    _readint($f)

### Parameters

#### $f

## _readstream()

    _readstream($f, $n)

### Parameters

#### $f

#### $n

## _textstring()

    _textstring($s)

### Parameters

#### $s

### Properties

## $AliasNbPages

    $AliasNbPages

## $AutoPageBreak

    $AutoPageBreak

## $ColorFlag

    $ColorFlag

## $CoreFonts

    $CoreFonts

## $CurOrientation

    $CurOrientation

## $CurPageSize

    $CurPageSize

## $CurrentFont

    $CurrentFont

## $DefOrientation

    $DefOrientation

## $DefPageSize

    $DefPageSize

## $DrawColor

    $DrawColor

## $FillColor

    $FillColor

## $FontFamily

    $FontFamily

## $FontFiles

    $FontFiles

## $FontSize

    $FontSize

## $FontSizePt

    $FontSizePt

## $FontStyle

    $FontStyle

## $InFooter

    $InFooter

## $InHeader

    $InHeader

## $LayoutMode

    $LayoutMode

## $LineWidth

    $LineWidth

## $PDFVersion

    $PDFVersion

## $PageBreakTrigger

    $PageBreakTrigger

## $PageLinks

    $PageLinks

## $PageSizes

    $PageSizes

## $StdPageSizes

    $StdPageSizes

## $TextColor

    $TextColor

## $ZoomMode

    $ZoomMode

## $author

    $author

## $bMargin

    $bMargin

## $buffer

    $buffer

## $cMargin

    $cMargin

## $compress

    $compress

## $creator

    $creator

## $diffs

    $diffs

## $fontpath

    $fontpath

## $fonts

    $fonts

## $h

    $h

## $hPt

    $hPt

## $images

    $images

## $k

    $k

## $keywords

    $keywords

## $lMargin

    $lMargin

## $lasth

    $lasth

## $links

    $links

## $n

    $n

## $offsets

    $offsets

## $page

    $page

## $pages

    $pages

## $rMargin

    $rMargin

## $state

    $state

## $subject

    $subject

## $tMargin

    $tMargin

## $title

    $title

## $underline

    $underline

## $w

    $w

## $wPt

    $wPt

## $ws

    $ws

## $x

    $x

## $y

    $y